S3 Head Bucket
  • 31 May 2023
  • Dark
    Light

S3 Head Bucket

  • Dark
    Light

Article summary

HEADhttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/

Determines whether the bucket exists in your B2 account, returning 200 OK if it does exist in your B2 account or 404 Not Found if it does not.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location --head 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/'

Example Response

200 NO CONTENT

Body

No response body

This request doesn't return any response body


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

0

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?